package de.fhdw.wtf.common.exception.walker;

public final class CyclicDependencyException extends Exception {
	
	/**
	 * generated.
	 */
	private static final long serialVersionUID = 2802633838116903484L;
	
	private CyclicDependencyException(final String taskToString) {
		super(de.fhdw.wtf.common.constants.walker.ExceptionConstants.CYCLIC_DEPENDENCY_MESSAGE + taskToString);
	}
	
	public static CyclicDependencyException create(final String taskToString) {
		return new CyclicDependencyException(taskToString);
	}
}
