package de.fhdw.wtf.common.token.symbols;

/**
 * Contains all symbols as constants.
 */
public final class SymbolConstants {
	
	/**
	 * '['.
	 */
	public static final String SQUAREBRACKETOPEN = "[";
	
	/**
	 * ']'.
	 */
	public static final String SQUAREBRACKETCLOSE = "]";
	
	/**
	 * '='.
	 */
	public static final String EQUALS = "=";
	
	/**
	 * ':'.
	 */
	public static final String COLON = ":";
	
	/**
	 * ';'.
	 */
	public static final String SEMICOLON = ";";
	
	/**
	 * '>'.
	 */
	public static final String GREATERSYMBOL = ">";
	
	/**
	 * '{'.
	 */
	public static final String CURLYBRACKETOPEN = "{";
	
	/**
	 * '}'.
	 */
	public static final String CURLYBRACKETCLOSE = "}";
	
	/**
	 * '+'.
	 */
	public static final String PLUS = "+";
	
	/**
	 * '*'.
	 */
	public static final String ASTERISK = "*";
	
	/**
	 * '-'.
	 */
	public static final String HYPHEN = "-";
	
	/**
	 * '|'.
	 */
	public static final String PIPE = "|";
	
	/**
	 * '('.
	 */
	public static final String BRACKETOPEN = "(";
	
	/**
	 * ')'.
	 */
	public static final String BRACKETCLOSE = ")";
	
	/**
	 * ','.
	 */
	public static final String COMMA = ",";
	
	/**
	 * '[['.
	 */
	public static final String DOUBLESQUAREBRACKETOPEN = "[[";
	
	/**
	 * ']]'.
	 */
	public static final String DOUBLESQUAREBRACKETCLOSE = "]]";
	
	/**
	 * '->'.
	 */
	public static final String ARROW = "->";
	
	/**
	 * '!'.
	 */
	public static final String EXCLAMATION = "!";
	
	/**
	 * private constructor for helper classes.
	 */
	private SymbolConstants() {
	}
	
}
